<app-loading *ngIf="isLoading"></app-loading>
<div class="form-setup-header">
    <div nz-row [nzGutter]="[30, 10]">
      <div nz-col nzXs="6" nzLg="6" class="emp">
        <employee-data-picker [mbCanText]="true" mbLabelText="{{'angleIt.thankReport.employee' | translate}}"
                              [ngModelOptions]="{standalone: true}" [multiple]="true" [isHideFullName]="false" [functionCode]="functionCode"
                              (selectedChange)="onChange($event)" ngModel="">
        </employee-data-picker>
      </div>
      <div nz-col nzXs="6" nzLg="6">
        <div style="position: relative">
          <mb-input-text
            [(ngModel)]="orgName"
            mbType="default"
            [mbMaxLength]="50"
            [defaultInput]="true"
            (mbClick)="showModalOrg()"
            mbPlaceholderText="{{ 'angleIt.thankReport.orgName' | translate }}"
            mbLabelText="{{ 'angleIt.thankReport.orgName' | translate }}"
            [mbReadOnly]="true"
          >
          </mb-input-text>
          <em
            *ngIf="orgName"
            nz-icon
            class="icon-custom-report"
            (click)="clearDataOrgId()"
            nzType="close-circle"
            nzTheme="outline"
          ></em>
        </div>
      </div>
      <div nz-col nzXs="6" nzLg="6">
        <mb-date-picker mbFormat="dd/MM/yyyy" mbLabelText="{{'angleIt.thankReport.fromDate' | translate}}" mbPlaceholderText="dd/mm/yyyy"
                        [(ngModel)]="fromDate"></mb-date-picker>
      </div>
      <div nz-col nzXs="6" nzLg="6">
        <mb-date-picker mbFormat="dd/MM/yyyy" mbLabelText="{{'angleIt.thankReport.toDate' | translate}}" mbPlaceholderText="dd/mm/yyyy"
                        [(ngModel)]="toDate"></mb-date-picker>
      </div>
    </div>
  <div class="search_header">
    <mb-button mbButtonAvailableStyle="CUSTOM"
               mbButtonText="{{'common.label.search' | translate}}" (click)="search()"></mb-button>
    <mb-button
      mbButtonType="BORDER"
      mbButtonSize="VERY_LARGE"
      *ngIf="objFunction?.export"
      (click)="exportExcel()"
    >
      <img src="../../../../../assets/images/icon/excel.svg" alt="" />
    </mb-button>
  </div>
</div>
<div class='search__content--group'>
  <mb-table-wrap [mbTitle]="''" [nonBg]="true" [extra]="false">
    <mb-table
      [heightTable]="heightTable" [tableConfig]='tableConfig' [tableData]='listData'></mb-table>
  </mb-table-wrap>
</div>
